Bug 864331 - Problem with abrt
Problem with abrt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 03:47 EDT by Mikhail
Modified: 2012-12-20 10:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:25:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-10-09 03:47:51 EDT
Description of problem:
--- Running report_uReport ---
(exited with 0)

--- Running analyze_CCpp ---
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). 'YES'
Querying server settings
Preparing an archive to upload
Uploading 3 megabytes
Uploading 30%
Upload successful
Retrace job started
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Initializing virtual root
Retrace job failed
Retrace failed. Try again later and if the problem persists report this issue please.
Analyzing crash data 
WARNING:root:Unable to parse line: <C3>A<C6>A<C7>A<C5>Hk
WARNING:root:Unable to parse line: <C3>A<C6>A<C7>A<C5>A
WARNING:root:Unable to parse line: 0xb7795000+0x7000 a4a05de51dfe523a70a4e066a25ff508bb15636c@0xb7795124 - - 
WARNING:root:No debuginfo found for 'b14c87eeb987af54448ba04aac030cf292ef4620' (None)
WARNING:root:No debuginfo found for 'cfe152bcbcddae167cfa1911508e24fa6f633540' (None)
WARNING:root:No debuginfo found for '958cc9764e658866eebfd2cfe3bc394d4ee2f521' (None)
WARNING:root:No debuginfo found for '8e63f540a124d5a5999405d5e96bb3dd4b3844e4' (None)
WARNING:root:No debuginfo found for '64a47289693d7fa8a4c11febd86f49e69d5cf1a2' (None)
WARNING:root:No debuginfo found for 'ea474a895ab94f99a8249beee79b4b4a93c845c3' (None)
WARNING:root:No debuginfo found for 'db3447491f216196d29157ec6bb8cfe135d97afa' (None)
WARNING:root:No debuginfo found for 'e22cff0ece998f26fe2c06479076b350f7e3f87e' (None)
WARNING:root:No debuginfo found for '81f9291d49969be2732e0005a20940097e0be5f2' (None)
WARNING:root:No debuginfo found for '2683e05329bf3e91e9f12180e209a873be01b987' (None)
WARNING:root:No debuginfo found for '430831ecd3f26e46ff99112a1dc79158a349fcb8' (None)
WARNING:root:No debuginfo found for 'b54d92e22c06cc0b5a74d30034d4d5d12c27e99a' (None)
WARNING:root:No debuginfo found for 'b25d85a3dbda66d76d8d00f5f1ff207739dc3088' (None)
WARNING:root:No debuginfo found for 'b0c074bfa74f830cca53facd895ce6e3c2ffefc5' (None)
WARNING:root:No debuginfo found for '7b3d838ad2781a52e9e9a46a26ed78f0859fd11f' (None)
WARNING:root:No debuginfo found for '93bd17d92c5498a997128782eab303531c78b13f' (None)
WARNING:root:No debuginfo found for '819527af1c5229ad7bb19441e0f1419245a6efc6' (None)
OK
Initializing virtual root OK
Generating backtrace Error
The appropriate package set could not be installed

Do you want to generate a stack trace localy? (It may download a huge amount of data but reporting can't continue without stack trace). 'YES'
Analyzing coredump 'coredump'
Traceback (most recent call last):
  File "/usr/bin/abrt-action-analyze-core", line 167, in <module>
    b_ids = extract_info_from_core(core)
  File "/usr/bin/abrt-action-analyze-core", line 111, in extract_info_from_core
    elif (b_ids_line[EXECUTABLE] not in ["linux-vdso.so.1", "linux-gate.so.1"]):
IndexError: list index out of range
(exited with 1)
Comment 1 Jakub Filak 2012-10-09 04:18:30 EDT
commit 2660c3386cc8d601e7da826b3f4dd1935db3eefd
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Oct 9 10:07:15 2012 +0200

    don't check EXECUTABLE if it isn't present in list
    
    - closes: rhbz#864331
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 2 Fedora Update System 2012-10-11 10:01:06 EDT
abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
Comment 3 Fedora Update System 2012-10-11 22:55:00 EDT
Package abrt-2.0.15-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.15-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 4 Flóki Pálsson 2012-10-15 12:19:54 EDT
Still in abrt-2.0.15-1.fc18.x86_64
--- Running report_uReport ---
(exited with 1)
Comment 5 Jakub Filak 2012-10-15 15:28:14 EDT
(In reply to comment #4)
> Still in abrt-2.0.15-1.fc18.x86_64
> --- Running report_uReport ---
> (exited with 1)

Thank you for testing the update. From my point of view, this bug report was primarily focused on an uncaught exception in /usr/bin/abrt-action-analyze-core python script and your reporting process failed before the script was run. The output you see can have many causes and is probably not linked to this bug report. Please, if you still want to help us, provide more verbose log. Run

$ abrt-gui -vvv
Comment 6 Flóki Pálsson 2012-10-15 18:32:00 EDT
(In reply to comment #5)
>$ abrt-gui -vvv
see bug 
Bug 866698 - abrt - No ~/.xsession-errors (exited with 1) (edit) 

This was difrent error and proccening went further.
Comment 7 Fedora Update System 2012-10-17 20:33:19 EDT
Package abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.16-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.16-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 10:25:53 EST
abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.